wxWidgets: wxWindowDisabler Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxWindowDisabler Class Reference
Class List by Category » Miscellaneous

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/utils.h>`

## Detailed Description

This class disables all windows of the application (may be with the exception of one of them) in its constructor and enables them back in its destructor.

This is useful when you want to indicate to the user that the application is currently busy and cannot respond to user input.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxBusyCursor

## Public Member Functions
| wxWindowDisabler (bool disable=true)
| Disables all top level windows of the applications. More...
| wxWindowDisabler (wxWindow *winToSkip)
| Disables all top level windows of the applications with the exception of winToSkip if it is not NULL. More...
| ~wxWindowDisabler ()
| Reenables the windows disabled by the constructor. More...

## Constructor & Destructor Documentation

## ◆ wxWindowDisabler() [1/2]

wxWindowDisabler::wxWindowDisabler | ( | bool | disable = `true` | ) |

Disables all top level windows of the applications.

If disable is `false` nothing is done. This can be convenient if the windows should be disabled depending on some condition.

Since
  2.9.0

## ◆ wxWindowDisabler() [2/2]

wxWindowDisabler::wxWindowDisabler | ( | wxWindow * | winToSkip | ) |

Disables all top level windows of the applications with the exception of winToSkip if it is not NULL.

Notice that under MSW if winToSkip appears in the taskbar, the user will be able to close the entire application (even though its main window is disabled) by right clicking on the taskbar icon and selecting the appropriate "Close" command from the context menu. To prevent this from happening you may want to use wxFRAME_TOOL_WINDOW, if applicable, or wxFRAME_NO_TASKBAR style when creating the window that will remain enabled.

## ◆ ~wxWindowDisabler()

wxWindowDisabler::~wxWindowDisabler | ( |  | ) |

Reenables the windows disabled by the constructor.